package com.bonus.core.allocation.holiday.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.util.Date;

@ApiModel("年法定节假日")
@TableName("mkt_holiday")
public class MktHoliday {
   @TableId
   private Long id;
   private Long holId;
   private Integer holYear;
   private String holName;
   private Date holDate;
   private Integer holType;
   private Integer ifDel;
   private String crby;
   private Date crtime;
   private String upby;
   private Date uptime;

   public Long getId() {
      return this.id;
   }

   public Long getHolId() {
      return this.holId;
   }

   public Integer getHolYear() {
      return this.holYear;
   }

   public String getHolName() {
      return this.holName;
   }

   public Date getHolDate() {
      return this.holDate;
   }

   public Integer getHolType() {
      return this.holType;
   }

   public Integer getIfDel() {
      return this.ifDel;
   }

   public String getCrby() {
      return this.crby;
   }

   public Date getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public Date getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setHolId(final Long holId) {
      this.holId = holId;
   }

   public void setHolYear(final Integer holYear) {
      this.holYear = holYear;
   }

   public void setHolName(final String holName) {
      this.holName = holName;
   }

   public void setHolDate(final Date holDate) {
      this.holDate = holDate;
   }

   public void setHolType(final Integer holType) {
      this.holType = holType;
   }

   public void setIfDel(final Integer ifDel) {
      this.ifDel = ifDel;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final Date crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final Date uptime) {
      this.uptime = uptime;
   }

   @Override
   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof MktHoliday)) {
         return false;
      } else {
         MktHoliday other = (MktHoliday)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label143: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label143;
                  }
               } else if (this$id.equals(other$id)) {
                  break label143;
               }

               return false;
            }

            Object this$holId = this.getHolId();
            Object other$holId = other.getHolId();
            if (this$holId == null) {
               if (other$holId != null) {
                  return false;
               }
            } else if (!this$holId.equals(other$holId)) {
               return false;
            }

            Object this$holYear = this.getHolYear();
            Object other$holYear = other.getHolYear();
            if (this$holYear == null) {
               if (other$holYear != null) {
                  return false;
               }
            } else if (!this$holYear.equals(other$holYear)) {
               return false;
            }

            label122: {
               Object this$holType = this.getHolType();
               Object other$holType = other.getHolType();
               if (this$holType == null) {
                  if (other$holType == null) {
                     break label122;
                  }
               } else if (this$holType.equals(other$holType)) {
                  break label122;
               }

               return false;
            }

            label115: {
               Object this$ifDel = this.getIfDel();
               Object other$ifDel = other.getIfDel();
               if (this$ifDel == null) {
                  if (other$ifDel == null) {
                     break label115;
                  }
               } else if (this$ifDel.equals(other$ifDel)) {
                  break label115;
               }

               return false;
            }

            Object this$holName = this.getHolName();
            Object other$holName = other.getHolName();
            if (this$holName == null) {
               if (other$holName != null) {
                  return false;
               }
            } else if (!this$holName.equals(other$holName)) {
               return false;
            }

            Object this$holDate = this.getHolDate();
            Object other$holDate = other.getHolDate();
            if (this$holDate == null) {
               if (other$holDate != null) {
                  return false;
               }
            } else if (!this$holDate.equals(other$holDate)) {
               return false;
            }

            label94: {
               Object this$crby = this.getCrby();
               Object other$crby = other.getCrby();
               if (this$crby == null) {
                  if (other$crby == null) {
                     break label94;
                  }
               } else if (this$crby.equals(other$crby)) {
                  break label94;
               }

               return false;
            }

            label87: {
               Object this$crtime = this.getCrtime();
               Object other$crtime = other.getCrtime();
               if (this$crtime == null) {
                  if (other$crtime == null) {
                     break label87;
                  }
               } else if (this$crtime.equals(other$crtime)) {
                  break label87;
               }

               return false;
            }

            Object this$upby = this.getUpby();
            Object other$upby = other.getUpby();
            if (this$upby == null) {
               if (other$upby != null) {
                  return false;
               }
            } else if (!this$upby.equals(other$upby)) {
               return false;
            }

            Object this$uptime = this.getUptime();
            Object other$uptime = other.getUptime();
            if (this$uptime == null) {
               if (other$uptime != null) {
                  return false;
               }
            } else if (!this$uptime.equals(other$uptime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof MktHoliday;
   }

   @Override
   public int hashCode() {
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $holId = this.getHolId();
      result = result * 59 + ($holId == null ? 43 : $holId.hashCode());
      Object $holYear = this.getHolYear();
      result = result * 59 + ($holYear == null ? 43 : $holYear.hashCode());
      Object $holType = this.getHolType();
      result = result * 59 + ($holType == null ? 43 : $holType.hashCode());
      Object $ifDel = this.getIfDel();
      result = result * 59 + ($ifDel == null ? 43 : $ifDel.hashCode());
      Object $holName = this.getHolName();
      result = result * 59 + ($holName == null ? 43 : $holName.hashCode());
      Object $holDate = this.getHolDate();
      result = result * 59 + ($holDate == null ? 43 : $holDate.hashCode());
      Object $crby = this.getCrby();
      result = result * 59 + ($crby == null ? 43 : $crby.hashCode());
      Object $crtime = this.getCrtime();
      result = result * 59 + ($crtime == null ? 43 : $crtime.hashCode());
      Object $upby = this.getUpby();
      result = result * 59 + ($upby == null ? 43 : $upby.hashCode());
      Object $uptime = this.getUptime();
      result = result * 59 + ($uptime == null ? 43 : $uptime.hashCode());
      return result;
   }

   @Override
   public String toString() {
      Long var10000 = this.getId();
      return "MktHoliday(id=" + var10000 + ", holId=" + this.getHolId() + ", holYear=" + this.getHolYear() + ", holName=" + this.getHolName() + ", holDate=" + String.valueOf(this.getHolDate()) + ", holType=" + this.getHolType() + ", ifDel=" + this.getIfDel() + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ", upby=" + this.getUpby() + ", uptime=" + String.valueOf(this.getUptime()) + ")";
   }
}
